From cf7ba29b13865cbeb58dd47fa5f262006f511197 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Lawrence=20Vel=C3=A1zquez?= <vq@larryv.me>
Date: Tue, 1 Jun 2021 18:24:22 -0400
Subject: [PATCH 6/6] Use MacPorts install locations

---
 icmake/INSTALL.im                | 12 ++++-----
 icmake/doc/icmake.1              | 43 +++++++++++++++-----------------
 icmake/doc/icmbuild.1            | 10 +++-----
 icmake/doc/icmconf.7             | 13 +++++-----
 icmake/doc/icmstart.1            | 23 ++++++++---------
 icmake/doc/icmstart.rc.7         |  9 +++----
 icmake/examples/am               |  2 +-
 icmake/examples/bup              |  2 +-
 icmake/examples/defines          |  2 +-
 icmake/examples/ds               |  2 +-
 icmake/examples/ftpxfer          |  2 +-
 icmake/examples/idir             |  2 +-
 icmake/examples/initialization   |  2 +-
 icmake/examples/killprog         |  2 +-
 icmake/examples/nesteddirectives |  2 +-
 icmake/examples/r                |  2 +-
 icmake/examples/tolower          |  2 +-
 17 files changed, 62 insertions(+), 70 deletions(-)

diff --git a/icmake/INSTALL.im b/icmake/INSTALL.im
index 7c81d15..d3229c3 100644
--- a/icmake/INSTALL.im
+++ b/icmake/INSTALL.im
@@ -19,10 +19,10 @@
         DOCDOCDIR   more extensive documentation (icmake.ps, examples)
 */
 
-#define BINDIR      "usr/bin"
-#define SKELDIR     "usr/share/icmake"
-#define MANDIR      "usr/share/man"
-#define LIBDIR      "usr/lib/icmake"
+#define BINDIR      "bin"
+#define SKELDIR     "share/icmake"
+#define MANDIR      "share/man"
+#define LIBDIR      "libexec/icmake"
 #define CONFDIR     "etc/icmake"
-#define DOCDIR      "usr/share/doc/icmake"
-#define DOCDOCDIR   "usr/share/doc/icmake-doc"
+#define DOCDIR      "share/doc/icmake"
+#define DOCDOCDIR   "share/doc/icmake"
diff --git a/icmake/doc/icmake.1 b/icmake/doc/icmake.1
index 8cbce87..a8eb458 100644
--- a/icmake/doc/icmake.1
+++ b/icmake/doc/icmake.1
@@ -66,7 +66,7 @@ The program \fBicmun\fP(1) disassembles compiled byte\-code (\&.bim)
 files\&. \fBIcmun\fP is mainly used for illustration, education, and debugging\&. As
 it is not required for \fBicmake\fP\(cq\&s daily use it is not installed in a
 standard \fIPATH\fP directory but (since \fBicmake\(cq\&s\fP version 9\&.02\&.00) in
-\fIicmake\(cq\&s\fP \fIlib\fP directory, which commonly is \fI/usr/lib/icmake\fP\&.
+\fIicmake\(cq\&s\fP \fIlib\fP directory, which is \fI__MACPORTS__/libexec/icmake\fP\&.
 .PP 
 Traditional make\-utilities recompile sources once header files are
 modified\&. When developing \fBC++\fP programs this is often a bad idea, as adding
@@ -178,7 +178,7 @@ Provides usage info\&.
 .IP o 
 \fB\-\-icm\-dep\fP (\fB\-d\fP)
 .br 
-Calls \fI/usr/lib/icmake/icm\-dep\fP, passing it all remaining
+Calls \fI__MACPORTS/libexec/icmake/icm\-dep\fP, passing it all remaining
 arguments\&. If no additional arguments are specified \fIicm\-dep\(cq\&s\fP
 short usage information is shown to the std\&. output stream\&. See
 sections \fBICM\-DEP\fP in this and \fBicbuild\fP(1)\(cq\&s man\-pages for more
@@ -221,7 +221,7 @@ setting the source script file\(cq\&s executable flag (\fIchmod +x
 script\fP), and providing it with an initial line like this: 
 .nf 
 
-    #!/usr/bin/icmake \-t\&.
+    #!__MACPORTS__/bin/icmake \-t\&.
             
 .fi 
 the \fBicmake\fP script can directly be called:
@@ -270,25 +270,25 @@ E\&.g\&., if the first line of an (executable) icmakefile \(cq\&icm\(cq\&
 (without extension) contains
 .nf 
 
-    #!/usr/bin/icmake \-i
+    #!__MACPORTS__/bin/icmake \-i
         
 .fi 
 then \fIicm\fP may be issued as a command, thus executing
 .nf 
 
-    /usr/bin/icmake \-i icm \&.\&.\&.
+    __MACPORTS__/bin/icmake \-i icm \&.\&.\&.
         
 .fi 
 Alternatively, 
 .nf 
 
-    #!/usr/bin/icmake \-t /tmp/icm
+    #!__MACPORTS__/bin/icmake \-t /tmp/icm
         
 .fi 
 may be used, resulting in the execution of
 .nf 
 
-    #!/usr/bin/icmake \-t /tmp/icm icm \&.\&.\&.
+    #!__MACPORTS__/bin/icmake \-t /tmp/icm icm \&.\&.\&.
         
 .fi 
 In this case the binary file is removed on exit\&.
@@ -1553,9 +1553,9 @@ terminates\&.
 .PP 
 The \fIicmun\fP program expects one argument, the binary (\fIbimfile\fP) file
 produced by `\fBicmake\fP \fI\-c\fP\(cq\&\&. It disassembles the binary file an shows the
-assembler instructions and structure of the binary file\&. Note that in standard
-installations \fBicmun\fP is not located in one of the directories of the
-\fIPATH\fP environment variable, but is located in the \fI/usr/lib/icmake\fP
+assembler instructions and structure of the binary file\&. Note that
+\fBicmun\fP is not located in one of the directories of the
+\fIPATH\fP environment variable, but is located in the \fI__MACPORTS__/libexec/icmake\fP
 directory\&.
 .PP 
 As an illustration, assume the following script is compiled by \fBicmake\fP (e\&.g\&., by
@@ -1569,7 +1569,7 @@ calling \fIicmake \-c demo\&.im\fP):
         
 .fi 
 the resulting \fIdemo\&.bim\fP file can be processed by \fBicmun\fP (e\&.g\&.,
-calling \fI/usr/lib/icmake/icmun demo\&.bim\fP\&. \fBIcmun\fP then writes the
+calling \fI__MACPORTS__/libexec/icmake/icmun demo\&.bim\fP\&. \fBIcmun\fP then writes the
 following to the standard output fle:
 .PP 
 .nf 
@@ -1602,35 +1602,32 @@ following to the standard output fle:
 .PP 
 .SH "FILES"
 
-.PP 
-The mentioned paths are suggestions only and may vary over different
-\fBicmake\fP\-installations:
 .IP o 
-\fB/usr/bin/icmake\fP: the main \fBicmake\fP program;
+\fB__MACPORTS__/bin/icmake\fP: the main \fBicmake\fP program;
 .IP o 
-\fB/usr/bin/icmbuild\fP: the wrapper program around the \fIicmbuild\fP
+\fB__MACPORTS__/bin/icmbuild\fP: the wrapper program around the \fIicmbuild\fP
 script handling standard program maintenance;
 .IP o 
-\fB/usr/bin/icmstart\fP: an \fBicmake\fP\-script that is can be used to create
+\fB__MACPORTS__/bin/icmstart\fP: an \fBicmake\fP\-script that is can be used to create
 the startup\-files of new projects;
 .IP o 
-\fB/usr/lib/icmake/icm\-comp\fP: the compiler called by \fBicmake\fP;
+\fB__MACPORTS__/libexec/icmake/icm\-comp\fP: the compiler called by \fBicmake\fP;
 .IP o 
-\fB/usr/lib/icmake/icm\-exec\fP: the byte\-code interpreter called by
+\fB__MACPORTS__/libexec/icmake/icm\-exec\fP: the byte\-code interpreter called by
 \fBicmake\fP; 
 .IP o 
-\fB/usr/lib/icmake/icm\-dep\fP: the support program handling class\- and
+\fB__MACPORTS__/libexec/icmake/icm\-dep\fP: the support program handling class\- and
 precompiled header dependencies;
 .IP o 
-\fB/usr/lib/icmake/icm\-pp\fP: the preprocessor called by \fBicmake\fP;
+\fB__MACPORTS__/libexec/icmake/icm\-pp\fP: the preprocessor called by \fBicmake\fP;
 .IP o 
-\fB/usr/lib/icmake/icmun\fP: the \fBicmake\fP unassembler\&.
+\fB__MACPORTS__/libexec/icmake/icmun\fP: the \fBicmake\fP unassembler\&.
 
 .PP 
 .SH "EXAMPLES"
 
 .PP 
-The distribution (usually in \fI/usr/share/doc/icmake\fP) contains a
+The distribution (in \fI__MACPORTS__/share/doc/icmake\fP) contains a
 directory \fIexamples\fP containing additional examples of \fBicmake\fP script\&.
 .PP 
 .SH "SEE ALSO"
diff --git a/icmake/doc/icmbuild.1 b/icmake/doc/icmbuild.1
index 6ae8ace..af3f8bf 100644
--- a/icmake/doc/icmbuild.1
+++ b/icmake/doc/icmbuild.1
@@ -11,8 +11,8 @@ icmbuild \- A generic, C++/C program maintenance facility
 
 .PP 
 \fIIcmbuild\fP is a small \fBC\fP program calling \fBicmake\fP(1) to do program maintenance
-as defined by the \fIicmbuild\fP script that\(cq\&s (commonly) found in
-\fI/usr/lib/icmake\fP\&.
+as defined by the \fIicmbuild\fP script that\(cq\&s found in
+\fI__MACPORTS__/libexec/icmake\fP\&.
 .PP 
 \fIIcmbuild\(cq\&s\fP actions are tailored through a configuration file (\fIicmconf\fP)
 which must be present in the directory where program maintenance is
@@ -274,13 +274,11 @@ default can be overruled (cf\&. \fBicmconf\fP(7))\&.
 .PP 
 .SH "FILES"
 
-.PP 
-The mentioned paths are suggestions only and may be installation dependent:
 .IP o 
-\fB/usr/share/icmake/icmconf\fP
+\fB__MACPORTS__/share/icmake/icmconf\fP
 Unabbreviated example of an \fIicmbuild\fP configuration file;
 .IP o 
-\fB/usr/share/icmake/CLASSES\fP
+\fB__MACPORTS__/share/icmake/CLASSES\fP
 Example of an \fIicmbuild\fP \fICLASSES\fP file\&.
 
 .PP 
diff --git a/icmake/doc/icmconf.7 b/icmake/doc/icmconf.7
index 0c869a7..51b540f 100644
--- a/icmake/doc/icmconf.7
+++ b/icmake/doc/icmconf.7
@@ -32,7 +32,7 @@ already existing source files\&. Recompilation \fIis\fP required when the data
 member organization of classes is altered\&.
 .PP 
 To handle class dependencies in a more sensible way, \fBicmake\fP(1) checks
-class dependencies using its support program \fI/usr/lib/icmake/icm\-dep\fP,
+class dependencies using its support program \fI__MACPORTS__/libexec/icmake/icm\-dep\fP,
 visiting the classes listed in the \fICLASSES\fP file if \fIicmconf\(cq\&s USE_ALL\fP
 directive was specified\&. If a directory mentioned in the \fICLASSES\fP file
 contains a file having a name that\(cq\&s equal to the name specified at the
@@ -54,9 +54,9 @@ class\(cq\&s precompiled header as well as all precompiled headers of dependent
 classes are recompiled\&.
 .PP 
 The \fBicmbuild\fP(1) script itself does not inspect these dependencies, but
-calls \fI/usr/lib/icmake/icm\-dep\fP to perform the requird tests\&. The program
+calls \fI__MACPORTS__/libexec/icmake/icm\-dep\fP to perform the requird tests\&. The program
 \fIicm\-dep\(cq\&s\fP short usage summary is written to the standard output stream
-when calling \fIicmake \-d\fP (or directly: \fI/usr/lib/icmake/icm\-dep\fP)\&.
+when calling \fIicmake \-d\fP (or directly: \fI__MACPORTS__/libexec/icmake/icm\-dep\fP)\&.
 .PP 
 .SH "DEFINES IN ICMCONF "
 
@@ -396,20 +396,19 @@ expected in the directory specified by the \fISCANNER_DIR\fP directive\&.
 
 .PP 
 .SH "FILES"
-The mentioned paths are suggestions only and may be installation dependent:
 .IP o 
-\fB/usr/share/icmake/CLASSES\fP
+\fB__MACPORTS__/share/icmake/CLASSES\fP
 .br 
 :
 example of an \fBicmconf\fP \fICLASSES\fP file;
 .IP o 
-\fB/usr/share/icmake/icmconf\fP
+\fB__MACPORTS__/share/icmake/icmconf\fP
 .br 
 :
 default (skeleton) \fBicmbuild\fP resource files, like \fImain\&.cc,
 usage\&.cc\fP, etc\&.;
 .IP o 
-\fB/etc/icmake\fP
+\fB__MACPORTS__/etc/icmake\fP
 .br 
 :
 directory containing the default system\-wide \fBicmstart\fP(1)
diff --git a/icmake/doc/icmstart.1 b/icmake/doc/icmstart.1
index 3cbb960..3db1ab4 100644
--- a/icmake/doc/icmstart.1
+++ b/icmake/doc/icmstart.1
@@ -21,7 +21,7 @@ tailored to other programming languages\&. The \fIicmstart\fP script and
 \fIicmbuild\fP program can directly be called: \fIicmstart\fP is an \fIicmake\fP
 script, for which the command\-shell calls \fIicmake\fP; \fIicmbuild\fP is a small
 \fBC\fP program calling \fIicmake\fP to process the \fIicmbuild\fP script in
-(commonly) \fI/usr/lib/icmake\fP\&.
+\fI__MACPORTS__/libexec/icmake\fP\&.
 .PP 
 This man\-page covers \fBicmstart\fP; refer to the \fBicmbuild\fP(1)
 man\-page for information about how \fIicmbuild\fP can be used\&.
@@ -36,7 +36,7 @@ second argument `\fIprogram\fP\(cq\& or `\fIlibrary\fP\(cq\& may be specified as
 mode of operation of the \fBicmbuild\fP(1) script, usually resulting in adding
 additional skeleton source files\&. If the predefined set of files doesn\(cq\&t fit
 your needs, then the default set can easily be modified\&. The default set of
-skeleton files is listed in the file \fI/etc/icmake/icmstart\&.rc\fP\&. Refer to the
+skeleton files is listed in the file \fI__MACPORTS__/etc/icmake/icmstart\&.rc\fP\&. Refer to the
 \fBicmstart\&.rc\fP(7) man\-page for information about how this file is structured
 and how it can be adapted\&.
 .PP 
@@ -60,7 +60,7 @@ commented out;
 .br 
 use the configuration files (\fIicmstart\&.rc, AUTHOR, YEARS\fP and
 \fIVERSION\fP) if found in `confpath\(cq\& rather than using the files found
-in \fI~/\&.icmake\fP and/or \fI/etc/icmake/\fP\&. Once a file is found it is
+in \fI~/\&.icmake\fP and/or \fI__MACPORTS__/etc/icmake/\fP\&. Once a file is found it is
 used, allowing partial overrides of the default files provided by
 \fBicmake\fP(1);
 .IP 
@@ -87,7 +87,7 @@ full directory and its subdirectories are replaced;
 \fI\-s skeleton\-path\fP 
 .br 
 by default skeleton files are listed in the skeleton resource file
-\fI/usr/share/icmake/icmstart\&.rc\fP\&. Alternatively, the skeleton
+\fI__MACPORTS__/share/icmake/icmstart\&.rc\fP\&. Alternatively, the skeleton
 resource file may be specified by the \fIICM\fP environment variable,
 which \-in turn\- may be overruled by the path specified with the \fI\-s\fP
 option\&. The skeleton path may be specified as a full file\-path or as a
@@ -103,7 +103,7 @@ Skeleton resource files may contain comment (empty lines and lines beginning
 with the hash\-mark (\fI#\fP))\&. Comment lines are ignored\&. Otherwise, lines 
 should contain specifications of resource \fBs\fP to be installed\&.
 .PP 
-The default resource specification file is \fI/etc/icmake/icmstart\&.rc\fP,
+The default resource specification file is \fI__MACPORTS__/etc/icmake/icmstart\&.rc\fP,
 containing:
 .nf 
 
@@ -122,11 +122,11 @@ directory (called `configuration directory\(cq\& below) can be prepared using th
 following system command:
 .nf 
 
-    cp \-r /etc/icmake ~/\&.icmake
+    cp \-r __MACPORTS__/etc/icmake ~/\&.icmake
         
 .fi 
 This directory can also contain skeleton files\&. Default skeleton files are
-commonly found in \fI/usr/share/icmake\fP, and could be copied to the
+found in \fI__MACPORTS__/share/icmake\fP, and could be copied to the
 configuration directory and referred to by the configuration directory\(cq\&s file
 \fIicmstart\&.rc\fP\&.  See \fBicmstart\&.rc\fP(7) for details about how skeleton files
 can be referred to \fIicmstart\&.rc\fP\&.
@@ -141,7 +141,7 @@ by \fIicmstart\fP\&.
 If the \fI\-c\fP option was specified configuration files found in the path
 specified at this option are used\&. If not specified or if a file isn\(cq\&t
 found then the path \fI~/icmake\fP is inspected\&. If a configuration file isn\(cq\&t
-found in \fI~/icmake\fP either, configuration files in \fI/etc/icmake\fP are used\&.
+found in \fI~/icmake\fP either, configuration files in \fI__MACPORTS__/etc/icmake\fP are used\&.
 .PP 
 Configuration files are optional; if absent  \fIicmstart\fP can still be used,
 but in normal cases at least \fIicmstart\&.rc\fP is provided\&.
@@ -198,15 +198,14 @@ If the file \fIicmstart\&.rc\fP does not exist (or is empty) \fIicmstart\fP
 merely installs the top\-level directory, \fIicmconf\fP and \fIVERSION\fP\&.
 .PP 
 .SH "FILES"
-The mentioned paths are suggestions only and may be installation dependent:
 .IP o 
-\fB/usr/share/icmake/icmconf\fP
+\fB__MACPORTS__/share/icmake/icmconf\fP
 Example of a \fBicmbuild\fP configuration file;
 .IP o 
-\fB/usr/share/icmake/CLASSES\fP
+\fB__MACPORTS__/share/icmake/CLASSES\fP
 Example of a \fBicmbuild\fP \fICLASSES\fP file\&.
 .IP o 
-\fB/etc/icmake/icmstart\&.rc\fP
+\fB__MACPORTS__/etc/icmake/icmstart\&.rc\fP
 Default skeleton resource file\&.
 
 .PP 
diff --git a/icmake/doc/icmstart.rc.7 b/icmake/doc/icmstart.rc.7
index f94b0dd..5e70363 100644
--- a/icmake/doc/icmstart.rc.7
+++ b/icmake/doc/icmstart.rc.7
@@ -10,7 +10,7 @@ icmstart\&.rc \- The icmstart(1) resource file
 The \fBicmstart\&.rc\fP file specifies files that are installed by
 \fBicmstart\fP(1)\&.
 .PP 
-A default \fBicmstart\&.rc\fP is found in \fI/etc/icmake/icmstart\&.rc\fP, but if 
+A default \fBicmstart\&.rc\fP is found in \fI__MACPORTS__/etc/icmake/icmstart\&.rc\fP, but if 
 \fI$HOME/\&.icmake/icmstart\&.rc\fP exists then the latter file is used by
 \fBicmstart\fP(1)\&. \fI$HOME/\&.icmake/icmstart\&.rc\fP in turn is overruled by
 specifying a \fI\-c\fP option when invoking \fBicmstart\fP(1)\&.
@@ -130,15 +130,14 @@ absolute paths do not begin with \fIdest\(cq\&s\fP absolute path then an error
 message is displayed and \fBicmstart\fP ends\&.
 .PP 
 .SH "FILES"
-The mentioned paths are suggestions only and may be installation dependent:
 .IP o 
-\fB/usr/share/icmake/icmconf\fP:
+\fB__MACPORTS__/share/icmake/icmconf\fP:
 example of an \fBicmbuild\fP configuration file;
 .IP o 
-\fB/usr/share/icmake/CLASSES\fP:
+\fB__MACPORTS__/share/icmake/CLASSES\fP:
 example of an \fBicmbuild\fP \fICLASSES\fP file;
 .IP o 
-\fB/usr/share/icmake/icmstart\&.rc\fP:
+\fB__MACPORTS__/share/icmake/icmstart\&.rc\fP:
 default skeleton resource file\&.
 
 .PP 
diff --git a/icmake/examples/am b/icmake/examples/am
index db52b99..24a2c87 100755
--- a/icmake/examples/am
+++ b/icmake/examples/am
@@ -1,4 +1,4 @@
-#! /usr/bin/icmake -t.
+#! __MACPORTS__/bin/icmake -t.
 
 // This script implements a non-destructive rm (am: attic move)
 
diff --git a/icmake/examples/bup b/icmake/examples/bup
index 37d9a39..504789d 100755
--- a/icmake/examples/bup
+++ b/icmake/examples/bup
@@ -1,4 +1,4 @@
-#!/usr/bin/icmake -qi
+#!__MACPORTS__/bin/icmake -qi
 
 #define ETCDIR		"/usr/local/etc"
 
diff --git a/icmake/examples/defines b/icmake/examples/defines
index a34fccc..d739f7d 100755
--- a/icmake/examples/defines
+++ b/icmake/examples/defines
@@ -1,4 +1,4 @@
-#!/usr/bin/icmake -t.
+#!__MACPORTS__/bin/icmake -t.
 
 #define FIRST   "This text"
 #define SECOND  "will be printed, starting with: " ${FIRST}
diff --git a/icmake/examples/ds b/icmake/examples/ds
index e4b3dd4..409c0cf 100755
--- a/icmake/examples/ds
+++ b/icmake/examples/ds
@@ -1,4 +1,4 @@
-#!/usr/bin/icmake -t.
+#!__MACPORTS__/bin/icmake -t.
 
 #define VERSION     "1.06.01"
 #define YEAR        "1994--2016"
diff --git a/icmake/examples/ftpxfer b/icmake/examples/ftpxfer
index 8fed37f..9951aaf 100755
--- a/icmake/examples/ftpxfer
+++ b/icmake/examples/ftpxfer
@@ -1,4 +1,4 @@
-#!/usr/bin/icmake -qi
+#!__MACPORTS__/bin/icmake -qi
 
 /***************************************************************************
 
diff --git a/icmake/examples/idir b/icmake/examples/idir
index bdaab0c..8ef4654 100755
--- a/icmake/examples/idir
+++ b/icmake/examples/idir
@@ -1,4 +1,4 @@
-#!/usr/bin/icmake -qi
+#!__MACPORTS__/bin/icmake -qi
 
 /*
     Example of the Icmake 'stat()' function. This simple makefile prints
diff --git a/icmake/examples/initialization b/icmake/examples/initialization
index 5007401..d8cb509 100755
--- a/icmake/examples/initialization
+++ b/icmake/examples/initialization
@@ -1,4 +1,4 @@
-#!/usr/bin/icmake -t.
+#!__MACPORTS__/bin/icmake -t.
 
 
 int main()
diff --git a/icmake/examples/killprog b/icmake/examples/killprog
index 2ed0837..8024b7a 100755
--- a/icmake/examples/killprog
+++ b/icmake/examples/killprog
@@ -1,4 +1,4 @@
-#!/usr/bin/icmake -qi
+#!__MACPORTS__/bin/icmake -qi
 
 /*
     Sample Icmake script. Kills programs; you can type 'killprog progname'
diff --git a/icmake/examples/nesteddirectives b/icmake/examples/nesteddirectives
index bf2f66c..3e57da8 100755
--- a/icmake/examples/nesteddirectives
+++ b/icmake/examples/nesteddirectives
@@ -1,4 +1,4 @@
-#!/usr/bin/icmake -t.
+#!__MACPORTS__/bin/icmake -t.
 
 /* 
     This simple icmake script illustrates the use of nested directives
diff --git a/icmake/examples/r b/icmake/examples/r
index 32ed38d..0525bd6 100755
--- a/icmake/examples/r
+++ b/icmake/examples/r
@@ -1,4 +1,4 @@
-#!/usr/bin/icmake -t.
+#!__MACPORTS__/bin/icmake -t.
 
 /* 
     This simple icmake script starts a given command in the current
diff --git a/icmake/examples/tolower b/icmake/examples/tolower
index a944432..58dc321 100755
--- a/icmake/examples/tolower
+++ b/icmake/examples/tolower
@@ -1,4 +1,4 @@
-#!/usr/bin/icmake -qi
+#!__MACPORTS__/bin/icmake -qi
 
 /*
     tolower: Icmake script to rename files to lower case. 
-- 
2.31.1

